我使用一些插件在IOS上出现了问题,想问问大哥~

#1

custom_multi_image_picker这个插件在安卓上有用,但是IOS上get成功,pos install的时候就报错,报错内容是: Using ARCHS setting to build architectures of target Pods-Runner: (``)

Finding Podfile changes
  A custom_multi_image_picker
  - Flutter
  - flutter_baidu_texttovioce
  - flutter_image_compress
  - flutter_wechat
  - image_crop
  - image_picker
  - image_picker_saver
  - image_saver
  - jpush_flutter
  - path_provider
  - shared_preferences

Fetching external sources
-> Fetching podspec for `Flutter` from `.symlinks/flutter/ios-release`
-> Fetching podspec for `custom_multi_image_picker` from `.symlinks/plugins/custom_multi_image_picker/ios`
[!] No podspec found for `custom_multi_image_picker` in `.symlinks/plugins/custom_multi_image_picker/ios`

然后这个插件我就放弃,想用multi_image_picker这个插件了,这个插件get成功,pod install也成功,但是xcode编译又报错了,报错内容是:
multi_image_picker/multi_image_picker-Swift.h’ file not found,
我也百度了,看了文档,说添加!use_frameworks,但是添加之后,我又报错:
[!] The ‘Pods-Runner’ target has transitive dependencies that include statically linked binaries: (/Users/zxk/Desktop/work/app/ios/Pods/WechatOpenSDK/WeChatSDK1.8.4/libWeChatSDK.a)
,解决方法就是删除!use_frameworks,然后我就懵逼了…
求助你们选择多个图像这个功能是怎么做的,

#2

看下这个issue,似乎是插件跟项目本身使用了不同语言(oc vs swift)导致,有人说使用旧版的cocoapods似乎可以,也有人说是要添加 s.static_framework = true